<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/Buffer.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Buffer.hh</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/Buffer.hh</b>
<div><a href="../../Source/Synopsis/Buffer.hh.html" target="content">source code</a></div>
<div><a href="../../FileDetails/Synopsis/Buffer.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
<div class="href"><a href="../../Scopes/Synopsis.html" target="content" title="(namespace)">Synopsis</a></div><div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Buffer.html" target="content" title="(class)">Buffer</a></div><div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#Buffer_lstd_mstreambuf_S_cconst.std_mstring_A_r" target="content" title="(member function)">Buffer</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer/Replacement.html" target="content" title="(struct)">Replacement</a></div><div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Buffer/Replacement.html#begin" target="content" title="(data member)">begin</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer/Replacement.html#from" target="content" title="(data member)">from</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer/Replacement.html#length" target="content" title="(data member)">length</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer/Replacement.html#smaller_lconst.Replacement_A_cconst.Replacement_A_r" target="content" title="(member function)">smaller</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer/Replacement.html#to" target="content" title="(data member)">to</a></div></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#Replacements" target="content" title="(typedef)">Replacements</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#my_buffer" target="content" title="(data member)">my_buffer</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#my_cursor" target="content" title="(data member)">my_cursor</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#my_filename" target="content" title="(data member)">my_filename</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#my_replacements" target="content" title="(data member)">my_replacements</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#origin_lconst.char_S_cstd_mstring_A_rconst" target="content" title="(member function)">origin</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#read_line_directive_lunsigned.long_clong_cunsigned.long_A_cunsigned.long_A_rconst" target="content" title="(member function)">read_line_directive</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#replace_lconst.char_S_cconst.char_S_cconst.char_S_cunsigned.long_r" target="content" title="(member function)">replace</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#reset_lunsigned.long_r" target="content" title="(member function)">reset</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#size_l_rconst" target="content" title="(member function)">size</a></div><div class="href"><a href="../../Scopes/Synopsis/Buffer.html#write_lstd_mostream_A_cconst.std_mstring_A_rconst" target="content" title="(member function)">write</a></div></div>
</div>

</body>
</html>
